Key Creation API

The Key Creation API service generates a new key under an existing organization, which must be securely stored. The request must include Api-Key, belonging to the active organization with which the new key will be associated. By default, the new key is assigned the role "standard" and a status of "active".

Endpoint Details:

Input Parameters

Required Headers:

HeaderValue TypeRequiredDescription
Api-keystringyesAdmin API key
Content-TypestringyesMust be application/json

Request Body Parameters:

ParameterTypeRequiredDescription
emailstringyesEmail ID associated with the new key

Sample

Request

curl --location 'https://signals.smarte.pro/signals/v1/key/createsignalapikey' \
--header 'Content-Type: application/json' \
--header 'Api-Key: WG+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxOwZcyVwvAibM=' \
--data-raw '{
    "email": "[email protected]"
}'

Success Response

{
    "message": "Key generated successfully",
    "data": {
        "keyId": "222c424f-6e56-4ab1-94eb-8a0e41490831",
        "email": "[email protected]",
        "role": "standard",
        "status": "active",
        "apiKey": "mIGxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxJHY"
    }
}

What’s Next